Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Drew Adams <[email-masked]>
Date: Sat, 4 May 2019 15:25:41 -0700 (PDT)

>   > > Have you heard of 'C-h k'? It's handy.
>   > How does that answer the question?
> 
> You type C-h k and then generate some event, and it shows what command
> that event will run.  That might enable you to find the answer
> to your question:
>   > > > What is the "show location but don't switch windows"
>   > > > action?
> 
> So the answer was helpful, or at least had a good chance of being
> helpful.

No, it didn't help at all.  I had no idea what
action the description "show location but don't
switch windows" was meant to indicate.

And no particular key was mentioned, so I had
no idea how `C-h k' could possibly have helped.
And none of the keys mentioned exhibited any "show
location but don't switch windows" behavior.

(And yes, I am aware of `C-h k'.)

> But the way it was written,
>   > > Have you heard of 'C-h k'? It's handy.
> is not very helpful, because it made you figure out, or guess,
> how it related to your question.  It was teasing.

It was just a snide remark, not helpful at all.
 
> It is kinder to answer in a way that shows explicitly how the
> answer relates to the question.  For instance,
>   C-h k followed by generating the event should tell  you
>   what command it runs.

No such event/key was ever identified, so
`C-h k' really did not help here in any way.